io.swagger.client.model

## Class WorkflowStateTransitionList

- java.lang.Object
- - io.swagger.client.model.WorkflowStateTransitionList

-     public class WorkflowStateTransitionList
      extends Object

  WorkflowStateTransitionList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowStateTransitionList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkflowStateTransitionList` | `addWorkflowStateTransitionsItem(WorkflowStateTransition workflowStateTransitionsItem)`
    `boolean` | `equals(Object o)`
    `String` | `getNextLink()` Get nextLink
    `List<WorkflowStateTransition>` | `getWorkflowStateTransitions()` Get workflowStateTransitions
    `int` | `hashCode()`
    `WorkflowStateTransitionList` | `nextLink(String nextLink)`
    `void` | `setNextLink(String nextLink)`
    `void` | `setWorkflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)`
    `String` | `toString()`
    `WorkflowStateTransitionList` | `workflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowStateTransitionList

          public WorkflowStateTransitionList()

  - ### Method Detail

    - #### nextLink

          public WorkflowStateTransitionList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### workflowStateTransitions

          public WorkflowStateTransitionList workflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)

    - #### addWorkflowStateTransitionsItem

          public WorkflowStateTransitionList addWorkflowStateTransitionsItem(WorkflowStateTransition workflowStateTransitionsItem)

    - #### getWorkflowStateTransitions

          public List<WorkflowStateTransition> getWorkflowStateTransitions()

      Get workflowStateTransitions
      Returns:
        workflowStateTransitions

    - #### setWorkflowStateTransitions

          public void setWorkflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.